Subject: [dns-privacy] I-D Action: draft-ietf-dprive-rfc7626-bis-04.txt

From: [email-masked]
Date: Thu, 16 Jan 2020 04:15:08 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the DNS PRIVate Exchange WG of the IETF.

        Title           : DNS Privacy Considerations
        Authors         : Stephane Bortzmeyer
                          Sara Dickinson
	Filename        : draft-ietf-dprive-rfc7626-bis-04.txt
	Pages           : 28
	Date            : 2020-01-16

Abstract:
   This document describes the privacy issues associated with the use of
   the DNS by Internet users.  It is intended to be an analysis of the
   present situation and does not prescribe solutions.  This document
   obsoletes RFC 7626.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-dprive-rfc7626-bis/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-dprive-rfc7626-bis-04
https://datatracker.ietf.org/doc/html/draft-ietf-dprive-rfc7626-bis-04

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-dprive-rfc7626-bis-04

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Sara Dickinson <[email-masked]>
Date: Thu, 16 Jan 2020 12:22:36 +0000

Hi All, 

So the -04 update attempts to address as many of the comments as possible that arose during IETF LC along the lines Eric suggested. The change log is:

* Tsvart review: Add reference to DNS-over-QUIC, fix typo.
* Secdir review: Add text in Section 3 on devices using many networks. Update bullet in 3.4.1 on cellular encryption.
* Section 3.5.1.1 - re-work the section to try to address multiple comments. 
* Section 3.5.1.4 - remove this section as now covered by 3.5.1.1.
* Section 3.5.1.5.2 - Remove several paragraphs and more directly reference
  RFC8484 by including bullet points quoting text from Section 8.2 of RFC8484.
  Retain the last 2 paragraphs as they are information for users, not
  implementors.
* Section 3.4.2 - some minor updates made based on specific comments.

If there are still concerns about the content then I would be very grateful at this stage if folks could propose specific text to address issues so we can more quickly move forward. 

Regards

Sara. 

> On 16 Jan 2020, at 12:15, [email-masked] wrote:
> 
> 
> _______________________________________________
> dns-privacy mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dns-privacy

---

From: Rob Sayre <[email-masked]>
Date: Thu, 16 Jan 2020 18:41:43 -0800

On Thu, Jan 16, 2020 at 4:22 AM Sara Dickinson <[email-masked]> wrote:

> Hi All,
>
> So the -04 update attempts to address as many of the comments as possible
> that arose during IETF LC along the lines Eric suggested.
>

Éric also suggested that another last call would be issued if the edits
were substantial. Is that going to happen?

thanks,
Rob

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Fri, 17 Jan 2020 09:28:10 +0000

Sara,

Thank you for the revised I-D, it is much easier in this way to review it.

Rob,

Let me have a deep look into the diff and check whether the changes are significant. In either case, nothing prevent anyone to comment on the -04 even in the absence of IETF Last Call.

Regards,

-éric
From: dns-privacy <[email-masked]> on behalf of Rob Sayre <[email-masked]>
Date: Friday, 17 January 2020 at 03:42
To: Sara Dickinson <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, DNS Privacy Working Group <[email-masked]>
Subject: Re: [dns-privacy] I-D Action: draft-ietf-dprive-rfc7626-bis-04.txt

On Thu, Jan 16, 2020 at 4:22 AM Sara Dickinson <[email-masked]<mailto:[email-masked]>> wrote:
Hi All,

So the -04 update attempts to address as many of the comments as possible that arose during IETF LC along the lines Eric suggested.

Éric also suggested that another last call would be issued if the edits were substantial. Is that going to happen?

thanks,
Rob

---

From: Brian Haberman <[email-masked]>
Date: Fri, 17 Jan 2020 07:35:02 -0500

> Let me have a deep look into the diff and check whether the changes are significant. In either case, nothing prevent anyone to comment on the -04 even in the absence of IETF Last Call.

I would encourage everyone interested in this work to review the changes
to ensure that either suggested changes were incorporated or that
changes did not adversely impact the overall goal of the document.

Regards,
Brian